@mixin heading-text {
	font-family: var(--wmf-heading-font);
	text-rendering: optimizelegibility;
}

@mixin link-decoration {
	border-bottom: 2px var( --bs-link-color ) solid;
	text-decoration: none;

	&[href]:hover {
		color: var( --bs-link-hover-color );
		border-bottom-style: dashed;
		border-bottom-color: var( --bs-link-hover-color );
	}

	&.icon {
		color: var( --bs-link-color );
		border-bottom: unset;

		&:hover {
			border-bottom: unset;
		}
	}
}

body {
	opacity: 1 !important;
	font-family: var(--wmf-body-font);
}

header {
	@include heading-text;
}

h1,
h2,
h3,
h4,
h5 {
	@include heading-text;
	font-weight: bold;
}

h1 {
	font-size: clamp( 3.5rem, 2.5vw, 5rem );
}

h2 {
	font-size: clamp( 2rem, 1.5vw, 2.5rem );
}

section {
	padding-top: 2rem;
}

footer {
	margin: 3rem 0;
}

blockquote {
	margin: 1.5rem 0;
	border-left: 3px solid var( --bs-primary );
	padding-left: 1rem;

	p {
		font-style: italic;
		font-weight: 300;
	}
}

a {
	color: var( --bs-black );
}

a:hover {
	color: var( --bs-link-color );
}

time {
	font-weight: 700;
	font-family: var( --wmf-heading-font );
}

main {
	a {
		@include link-decoration;
	}
}

/* Custom elements (classes) */

.icon {
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
	font-family: 'Font Awesome 6 Regular', 'Font Awesome 6 Solid', 'Font Awesome 6 Brands';
	font-style: normal;
	font-variant: normal;
	line-height: 1;
	text-rendering: auto;
	text-decoration: none;
}
